package com.steerinfo.dil.feign;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-11-09 11:30
 */
@FeignClient(name = "dil-tms-truck-dev", url = "${openfeign.TmsTruckFeign.url}")
public interface TmstruckFeign {
    @PostMapping("api/logistics/AbnormalReturn")
    Map<String,Object> sendAbnormalReturn(@RequestBody(required = true) Map<String,Object>map);

    @PostMapping("api/logistics/TareApplyFor")
    Map<String,Object> pushWeightApply(Map<String, Object> map);

    @PostMapping("api/v1/truckTms/tmstruckmeasurecommissions/sendMeasureCommission")
    Map<String,Object> sendMeasureCommission(@RequestBody(required=false) Map<String,Object> map);

    @ApiOperation(value="PDA扫描更新进厂作业实绩")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输计划实绩对象", required = false, dataType = "Map"),
    })
    @PostMapping("api/v1/truckTms/tmstruckenfactoryresults/enFactoryResultByPDA")
    Map<String, Object> enFactoryResultByPDA(@RequestBody(required=false) Map<String,Object> mapValue);
}
