package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.SaleLog;
import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstruckWeightResultMapper extends IBaseMapper<TmstruckWeightResult, BigDecimal> {

    //查询最大主键Id
    @Select("select seq_tmstruck_weight_result.nextval from dual")
    BigDecimal selectMaxId();

    // 得到计重实绩主键id
    BigDecimal getWeightTaskResultId(Map<String,Object>mapValue);

    // 得到汽车衡id
    BigDecimal getTruckCalculateId(String resultCalculateNumber);

    List<Map<String,Object>> selectWzInputId();

    int updateWzInputId(BigDecimal wzInputId);

    BigDecimal getWeightTaskResultId(String orderNumber);

    Integer updateTruckWeightResult(Map<String, Object> mapValue);

    Integer updateTruckWeightResultGross(Map<String, Object> mapValue);

    //通过运输订单号 查询实绩Id、总实绩ID
    Map<String, Object> selectTotalIdByOrderNo(Map<String, Object> map);

    //通过运输订单号 和物资ID 查询实绩ID
    Map<String, Object> selectResultIdByOrderNoAndMaterialId(Map<String, Object> map);

    //通过汽车衡编号查询汽车衡ID
    Integer selectTruckCalculateId(String truckCalculateNumber);

    //通过运输订单号查询计量实绩Id 条件 路段顺序号 和 净重
    Map<String, Object> selectWeightIdByOrderId(Map<String, Object> map);

    //通过订单Id查询还没有净重的计量实绩
    Integer selectNoNetWeightResult(String orderNumber);

    //查询采购订单信息
    Map<String, Object> getPurOrderMesToKD(String orderNumber);

    //查询采购内转总厂到老区的订单信息
    Map<String, Object> get20PurOrderMesToKD(String orderNumber);


    int linkageDeleteTransportOrder(@Param("orderNumber") String orderNumber);

    //钢材查询下一个未计量的实绩
    List<Map<String, Object>> getNoNetWeightResultId(BigDecimal resultTotalId);

    //销售退货查询下一个未计量的实绩
     List<Map<String,Object>> getNoNetWeightResultForSaleReturn(BigDecimal resultTotalId);

     //查询是否为多拼
    List<Map<String,Object>> getMaterialNumber(BigDecimal resultTotalId);

    //通过采购订单号查询采购订单ID  和物资ID
    Map<String, Object> getAPOMes(String arrivalBillNo);

    //修改普通采购运输订单实绩关联的采购订单ID
    int updateOmsTruckPlanId(Map<String, Object> mesMap);

    //修改运输订单子表物资ID
    int updateOmsTruckMaterialId(Map<String, Object> mesMap);

    //修改采购内转的运输订单需求中关联的采购订单Id
    int updatePurchaseInwordAPOId(Map<String, Object> mesMap);

    List<Map<String, Object>> getShipQualityResult(Map<String,Object> map);

    Map<String, Object> getOrderMes(String carNo);

    BigDecimal getMaterialId(Map<String, Object> map);

    int getHaveNetWeightByMaterial(Map<String, Object> map);

    int updateOrderMaterial(Map<String, Object> map);

    Map<String, Object> getSaleOrderMaterialNum(Map<String, Object> map);

    int updateSaleMaterialId(@Param("saleMaterialId") BigDecimal saleMaterialId, @Param("materialNum") BigDecimal materialNum, @Param("newWeight") BigDecimal newWeight);

    int checkOrder(Map<String, Object> map);

    int checkOrderIsSteel(Map<String, Object> map);

    int updateOmsRedQrCode(Map<String, Object> map);


    Map<String,Object> getOOType(String orderNumber);

    int updateWeightTare(BigDecimal resultTotalId);

    int updateEnfactoryResult(BigDecimal resultTotalId);

    int updateOrderLineSqe(BigDecimal orderId);

    Map<String, Object> selectWeightMes(Map<String, Object> weightMap);

    int updateWeightResult(BigDecimal weightTaskResultId);

    int updateWeightTareNoGross(BigDecimal resultTotalId);

    BigDecimal selectOrderLineSqe(BigDecimal resultTotalId);

    int updateOrderLineSqeBySqe(BigDecimal orderId, Integer orderLineSqe);

    BigDecimal getMaterialIdByOrderId(BigDecimal orderId);

    String getIsSelfMention(Map<String, Object> map);

    BigDecimal getJlSaleOrderMaterialId(Map<String, Object> map);

    BigDecimal getJlSpell(BigDecimal jlSaleOrderMaterialId);

    BigDecimal getWlSpell(Map<String, Object> map);

    BigDecimal getJlOrderId(BigDecimal jlSaleOrderMaterialId);

    BigDecimal getWlSaleOrderMaterialId(Map<String, Object> map);

    int updateOrderPlanId(BigDecimal jlOrderId, BigDecimal wlSaleOrderMaterialId);

    int updateOrderMaterialId(BigDecimal jlOrderId);

    BigDecimal selectNewPlanId(Map<String, Object> mesMap);

    String selectTruckWeightResultOld(BigDecimal resultTotalId);

    BigDecimal getWeightTaskResultIdNoNet(Map<String, Object> map);

    BigDecimal getSaleMaterialId(Map<String, Object> map);

    int updateWeightTaskBySaleMaterialId(@Param("weightTaskResultId") BigDecimal weightTaskResultId,@Param("saleMaterialId") BigDecimal saleMaterialId);

    Map<String,Object> getWeightAndSaleMaterialId(Map<String, Object> map);

    List<BigDecimal> getWeightTaskIdCopy(BigDecimal resultTotalId);

    Map<String, Object> getOOPoundMes(String poundNo);

    int updateTotalStatus(BigDecimal resultTotalId);

    int getNetWeightCount(BigDecimal resultTotalId);

    Map<String, Object> getOldOrderMes(Map<String, Object> mesMap);

    Map<String, Object> getWeightMesBySaleMaterialId(BigDecimal saleMaterialId);

    Map<String,Object> queryApoByOrderNo(String orderNo);

    Integer queryOrderType(String orderNo);

    Map<String,Object> queryApoInwardByOrderNo(String orderNo);

    Map<String,Object> getLineName(BigDecimal lineId);

}